#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n, q;
    scanf("%d", &n);
    int Glavni_niz[n];
    for (int i = 0; i<n; i++){
        scanf("%d", &Glavni_niz[i]);
    }
    scanf("%d", &q);
    int r[q];
    int l[q];
    for (int i = 0; i<q; i++){
        scanf("%d", &l[i]);
        scanf("%d", &r[i]);
    }

    for(int i = 0; i<q; i++){
        if (l[i]==r[i])
            printf("DA\n");
        else{
            int temp = 0;
            for (int k = 0; k<r[i]-l[i]; k++){
                if (Glavni_niz[l[i]+k]<Glavni_niz[l[i]-1+k]){
                    //printf("Broj1: %d  Broj2: %d  k: %d  i: %d  l: %d  r: %d\n", Glavni_niz[l+k], Glavni_niz[l-1+k], k, i, l, r);
                    temp++;
                    if (temp>=2)
                        k=r[i]-l[i];
                }
            }
            //printf("   temp: %d\n", temp);
            if (temp<2)
                printf("DA\n");
            else
                printf("NE\n");
        }
    }

    return 0;
}